function Create(self)
	self.presses = 0;
	self.pressed = 0;
	self.presstimer = Timer();	
end

function Update(self)
	if self:GetController():IsState(Controller.BODY_JUMP) == true then
		self.pressed = 1;
		self.dist = 24 + self.presstimer.ElapsedSimTimeMS / 2;
		self.disppos = Vector(self.Pos.X + self.dist * math.cos(-self:GetAimAngle(true)),self.Pos.Y + self.dist * math.sin(-self:GetAimAngle(true)));
		self.dispp = CreateMOPixel("Display Particle");
		self.dispp.Pos = self.disppos;
		self.dispp.Vel = Vector(0,0);
		if MovableMan:IsParticle(self.dispp) == false then
			MovableMan:AddParticle(self.dispp);
		else
			self.dispp.ToDelete = true;
		end
	else
		if self.pressed == 1 then
			self.pressed = 0;
			self.dist = 24 + self.presstimer.ElapsedSimTimeMS / 2.6;
			self.newpos = Vector(self.Pos.X + self.dist * math.cos(-self:GetAimAngle(true)),self.Pos.Y + self.dist * math.sin(-self:GetAimAngle(true)));
			self.displacement = CreateMOSRotating("Displacement");
			self.displacement.Pos = self.newpos;
			self.displacement.Vel = Vector(0,0);
			MovableMan:AddParticle(self.displacement);
			self.displacement:EraseFromTerrain();
			self.Pos = self.newpos;
			self.Vel = Vector(0,0);
			self:FlashWhite(100);
		elseif self.pressed == 0 then
			self.presstimer:Reset();
		end
	end
	if MovableMan:IsParticle(self.displacement) == true then
		if self.displacement.Age > 10 then
			self.displacement.ToDelete = true;
			self.displacement = nil;
		end
	end
end